Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TimeBaseA.cpp File Reference

`#include "TimeBaseC.h"`
`#include "tao/Null_RefCount_Policy.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Alias_TypeCode_Static.h"`
`#include "tao/Struct_TypeCode_Static.h"`
`#include "tao/TypeCode_Struct_Field.h"`
`#include "tao/Recursive_Type_TypeCode.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for TimeBaseA.cpp:

## Namespaces
namespace | TimeBase
## Functions
void | operator<<= (CORBA::Any &_tao_any, const TimeBase::UtcT &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, TimeBase::UtcT *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TimeBase::UtcT *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const TimeBase::UtcT *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const TimeBase::IntervalT &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, TimeBase::IntervalT *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TimeBase::IntervalT *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const TimeBase::IntervalT *&_tao_elem)
## Variables
TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_TimeBase_TimeT (CORBA::tk_alias,"IDL:omg.org/TimeBase/TimeT:1.0","TimeT",&CORBA::_tc_ulonglong)
::CORBA::TypeCode_ptr const | _tc_TimeT
TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_TimeBase_InaccuracyT (CORBA::tk_alias,"IDL:omg.org/TimeBase/InaccuracyT:1.0","InaccuracyT",&TimeBase::_tc_TimeT)
::CORBA::TypeCode_ptr const | _tc_InaccuracyT
TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_TimeBase_TdfT (CORBA::tk_alias,"IDL:omg.org/TimeBase/TdfT:1.0","TdfT",&CORBA::_tc_short)
::CORBA::TypeCode_ptr const | _tc_TdfT
TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const | _tao_fields_TimeBase_UtcT []
TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | _tao_tc_TimeBase_UtcT (CORBA::tk_struct,"IDL:omg.org/TimeBase/UtcT:1.0","UtcT", _tao_fields_TimeBase_UtcT, 4)
::CORBA::TypeCode_ptr const | _tc_UtcT
TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const | _tao_fields_TimeBase_IntervalT []
TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | _tao_tc_TimeBase_IntervalT (CORBA::tk_struct,"IDL:omg.org/TimeBase/IntervalT:1.0","IntervalT", _tao_fields_TimeBase_IntervalT, 2)
::CORBA::TypeCode_ptr const | _tc_IntervalT

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | TimeBase::IntervalT * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const TimeBase::IntervalT & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | TimeBase::UtcT * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const TimeBase::UtcT & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const TimeBase::IntervalT *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | TimeBase::IntervalT *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const TimeBase::UtcT *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | TimeBase::UtcT *& | _tao_elem
| ) |

## Variable Documentation

TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const _tao_fields_TimeBase_IntervalT[]`[static]`

| Initial value:
      {
        { "lower_bound", &TimeBase::_tc_TimeT },
        { "upper_bound", &TimeBase::_tc_TimeT }

      }

TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const _tao_fields_TimeBase_UtcT[]`[static]`

| Initial value:
      {
        { "time", &TimeBase::_tc_TimeT },
        { "inacclo", &CORBA::_tc_ulong },
        { "inacchi", &CORBA::_tc_ushort },
        { "tdf", &TimeBase::_tc_TdfT }

      }

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_TimeBase_InaccuracyT(CORBA::tk_alias,"IDL:omg.org/TimeBase/InaccuracyT:1.0","InaccuracyT",&TimeBase::_tc_TimeT)`[static]`

TAO::TypeCode::Struct<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> _tao_tc_TimeBase_IntervalT(CORBA::tk_struct,"IDL:omg.org/TimeBase/IntervalT:1.0","IntervalT", _tao_fields_TimeBase_IntervalT, 2)`[static]`

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_TimeBase_TdfT(CORBA::tk_alias,"IDL:omg.org/TimeBase/TdfT:1.0","TdfT",&CORBA::_tc_short)`[static]`

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_TimeBase_TimeT(CORBA::tk_alias,"IDL:omg.org/TimeBase/TimeT:1.0","TimeT",&CORBA::_tc_ulonglong)`[static]`

TAO::TypeCode::Struct<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> _tao_tc_TimeBase_UtcT(CORBA::tk_struct,"IDL:omg.org/TimeBase/UtcT:1.0","UtcT", _tao_fields_TimeBase_UtcT, 4)`[static]`

TAO_Export::CORBA::TypeCode_ptr const TimeBase::_tc_InaccuracyT

| Initial value:
        &_tao_tc_TimeBase_InaccuracyT

TAO_Export::CORBA::TypeCode_ptr const TimeBase::_tc_IntervalT

| Initial value:
        &_tao_tc_TimeBase_IntervalT

TAO_Export::CORBA::TypeCode_ptr const TimeBase::_tc_TdfT

| Initial value:
        &_tao_tc_TimeBase_TdfT

TAO_Export::CORBA::TypeCode_ptr const TimeBase::_tc_TimeT

| Initial value:
        &_tao_tc_TimeBase_TimeT

TAO_Export::CORBA::TypeCode_ptr const TimeBase::_tc_UtcT

| Initial value:
        &_tao_tc_TimeBase_UtcT